import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "date",
      type: "date_picker",
      trigger: "change",
      otherOptions: {
        type: "daterange",
        startPlaceholder: "下单开始时间",
        endPlaceholder: "下单结束时间",
        valueFormat: "YYYY-MM-DD",
        startProp: "start_date",
        endProp: "end_date"
      }
    },
    {
      field: 'depart_id',
      type: 'depart-query',
      trigger: 'change'
    },
    {
      field: 'plat_type',
      type: 'plat-switch',
      trigger: 'change'
    }
  ]
};

export default searchFormConfig;
